@import url('https://fonts.googleapis.com/css2?family=Days+One&family=Kaushan+Script&family=Open+Sans&family=Poppins:ital,wght@0,400;1,300&family=Red+Hat+Display:wght@400;700;900&family=Russo+One&family=Space+Grotesk&display=swap');
:root{
    --header-height:3.5rem;
    /* colors */
    --first-color:hsl(39, 100%, 50%);
    --first-color-light:hsl(39,97%,77%);
    --first-color-alt:hsl(39,67%,52%);
    --fist-color-dark:hsl(39,63%,50%);
    --first-color-gray:hsl(39,6%,64%);
    --title-color:hsl(180,4%,98%);
    --title-color-black:hsl(180,4%,12%);
    --text-color:hsl(180,4%,72%);
    --text-color-light:hsl(180,4%,65%);
    --body-color:hsl(180,12%,8%);
    /* Fonts and typography */
    --body-font:'Red Hat Display', sans-serif;
    --second-font:'Kaushan Scrip', cursive;
    --biggest-font-size:2rem;
    --bigger-font-size:1.5rem;
    --big-font-size:1.25rem;
    --h1-font-size:1.5rem;
    --h2-font-size:1.25rem;
    --h3-font-size:1rem;
    --normal-font-size:0.938rem;
    --small-font-size:0.813rem;
    --smaller-font-size:0.75rem;
    /* font-weight */
    --font-bold:700;
    --font-black:900;
    /* z-index */
    --z-tooltio:10;
    --z-fixed:100;
}

/* responsive typography */
@media screen and (min-width:1024px) {
    :root{
        --biggest-font-size:6rem;
        --bigger-font-size:3.5rem;
        --big-font-size:2.25rem;
        --h1-font-size:2.25rem;
        --h2-font-size:1.5rem;
        --h3-font-size:1.25rem;
        --normal-font-size:1rem;
        --small-font-size:0.875rem;
        --smaller-font-size:0.813rem;
    }
}

/* base */
*{
    box-sizing:border-box;
    padding: 0;
    margin:0;
}
html{
    scroll-behavior: smooth;
}
body,
button,
input{
    font-family: var(--body-font);
    font-size:var(--normal-font-size);
}

body{
    background-color: var(--body-color);
    color:var(--text-color);
}
h1,h2,h3{
    color:var(--title-color);
    font-weight: var(--font-bold);
}
ul{
    list-style: none;
}
a{
    text-decoration: none;
}
img{
    max-width: 100%;
    height:auto;
}
/* css classes in this Project */
.container{
    max-width: 1124ps;
    margin-right:1.5rem;
    margin-left:1.5rem;
}
.section{
    padding:4.5rem 0 2rem;
}
.section__data{
    display: flex;
    flex-direction: column;
    row-gap:0.75rem;
    text-align: center;
    margin-bottom: 3rem;
}
.section__title,
.section__title-border{
    font-size: var(--big-font-size);
    letter-spacing: 1.5px;
}
.section__subtitle{
    font-size: var(--h2-font-size);
    font-family: var(--second-font);
    font-weight: 400;
    letter-spacing: 1.5px;
    color:var(--first-color);
    transform: rotate(-2deg);
}
.section__titles{
    display: flex;
    column-gap:0.75rem;
    justify-content: center;
}
.section__title-border{
    -webkit-text-stroke: 1px var(--text-color);
    color:transparent;
}
.grid{
    display: grid;
    gap:1.5rem;
}
.main{
    /* for animation scrollReveal */
    overflow:hidden;
}
.color-green{
   color:var(--first-color); 
}
.color-red{
    color:hsl(0,80%,64%);
}
/* header and navbar */
.header{
    width:100%;
    background-position: transparent;
    position:fixed;
    top:0;
    left:0;
    z-index:var(--z-fixed);
    transition: background 0.3s;
}
.nav{
    height:var(--header-height);
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.nav__logo,
.nav__toggle{
    color:var(--title-color);
    display: flex;
}
.nav__lodo{
    align-items: center;
    column-gap:0.5rem; 
    font-weight: var(--font-bold);
}
.nav__logo img{
    width:1.25rem;
}
.nav__toggle{
    font-size:1.25rem;
    cursor: pointer;
}
@media screen and (max-width: 1023px) {
   .nav__menu{
    position:fixed;
    background-color: hsla(180,12%,8%,0.8);
    backdrop-filter:blur(32px);
    -webkit-backdrop-filter: blur(32px);
    top:0;
    right:-100%;
    width:80%;
    height: 100%;
    border-left:2px solid var(--first-color-gray);
    transition:right 0.3s;
   } 
}

.nav__list{
    padding: 5rem 0 0 3rem;
    display: flex;
    flex-direction: column;
    row-gap:2.5rem;
}

.nav__link{
    color:var(--text-color);
    transition: color 0.3s;
}
.nav__link:hover{
    color:var(--first-color);
}
.nav__close{
    position: absolute;
    top:1rem;
    right:1.5rem;
    font-size:1.5rem;
    color:var(--title-color);
    cursor: pointer;
}
/* / to disappear the green button from menu */
.nav .nav__button{
    background-color: var(--title-color);
    border:none;
}
/* Show menu */
.show-menu{
    right:0;
}
.bg-header{
    background-color: var(--body-color);
    box-shadow: 0 4px 8px hsla(180,12%,4%,0.3);
}
/* active link */
.active-link{
   color:var(--fist-color-dark)
}

/* home section */ 
.home__container{
    padding-top:4rem;
    row-gap:3rem;
}
.home__data{
    text-align: center;
}
.home__subtitle{
    font-size: var(--bigger-font-size);
    -webkit-text-stroke: 1px var(--title-color);
    color:transparent;
}
.home__title{
    font-size:var(--biggest-font-size);
    font-weight: var(--font-black);
    margin:0.5rem 0;
}
.home__subtitle,
.home__title{
    letter-spacing: 1.5px;
}
.home__description{
    margin-bottom:2.5rem;
}
.home__triangle{
    height: 325px;
    position: absolute;
    right: 0;
    bottom:0;
    /* to make the rectangle( div ) to a triangle the following part will distribute the direction */
    clip-path: polygon(100% 0, 0 100%, 100% 100%);
}
.home__triangle-1{
    width:105px;
    background-color: var(--first-color);
}
.home__triangle-2{
    width:205px;
    background-color: var(--first-color-alt);
}
.home__triangle-3{
    width:405px;
    background-color: var(--fist-color-dark);
}
.home__img{
    display: block;
    position: relative;
    z-index:1;
    width:350px;
    margin:0 auto;
    transform: scaleX(-1);
}
/* button styles */
.button{
    display: inline-block;
    background-color: var(--first-color);
    padding: 18px 32px;
    border:2px solid var(--first-color-light);
    color:var(--title-color-black);
    font-weight: var(--font-bold);
    cursor: pointer;
    transition:background 0.3s;
}
.button:hover{
    background-color: var(--first-color-alt);
}
.button i{
    font-size: 1.25rem;
    transform: transform 0.3s;
}
.button__flex{
    display:inline-flex;
    align-items: center;
    justify-content: center;
    column-gap:0.5rem;
}
.button__flex:hover i{
    transform: translateX(0.25rem);
}
/* LOGOS */
.logos__container{
    grid-template-columns: repeat(2,1fr);
    gap:2rem;
    justify-items: center;
}
.logos__img{
    width:120px;
}
/* programs styles */
.program__container{
    grid-template-columns: 225px;
    justify-content: center;
    row-gap: 2rem;
    
}
.pragram__card{
    display: grid;
    background-color: hsla(79,6%,64%,0.07); 
    padding: 1.5rem 2rem;
    border:2px solid transparent;
    transition: background 0.5s, border 0.4s;
}
.program__image{
    width:38px;
}
.program__shape{
    width:75px;
    height: 75px;
    background-color: var(--first-color-gray);
    margin:0 auto;
    display: grid;
    place-items: center;
    margin-bottom:1rem;
    transition: background 0.3s;
}
.program__title{
    font-size:var(--h3-font-size);
    margin-bottom: 1rem;
}
.program__description{
    font-size: var(--small-font-size);
    letter-spacing: 0.5px;
    line-height: 150%;
}
.program__title,
.program__description{
    transition:color 0.5s;
}
.program__button{
    justify-self: flex-end;
    margin-top:1.5rem;
    font-size: 1.25rem;
    color:var(--title-color-black);
    opacity: 0;
    transition:  opacity 0.4s;
}
.program__button i{
    display: block;
    transition: transform 0.3s;
}
.program__button:hover i{
    transform: translateX(0.25rem);
}
.pragram__card:hover{
    background-color: var(--first-color-alt);
    border:2px solid var(--first-color-light);
}
.pragram__card:hover .program__shape{
    background-color: var(--first-color-light);
}
.pragram__card:hover .program__title,
.pragram__card:hover .program__description{
    color:var(--title-color-black)
}
.pragram__card:hover .program__button{
    opacity: 1;
}
.choose{
    padding-bottom:0 ;
}
.choose__overflow{
    position: relative;
}
.choose__container{
    row-gap:3rem;
}
.choose__container .section__data{
  margin-bottom:2rem;  
}
.choose__description{
    text-align: center;
    margin-bottom:2.5rem;
}
.choose__data{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    row-gap:2rem;
}
.choose__group{
    text-align:center;
}
.choose__number{
    font-size: var(--h1-font-size);
    font-family: var(--second-font);
    font-weight: 400;
    margin-bottom: 0.25rem;
}
.choose__subtitle{
    font-size:var(--small-font-size);
}
.choose__triangle{
    height: 325px;
    position: absolute;
    left:0;
    bottom:0;
    /* to make the rectangle to a triangle */
    clip-path:polygon(0 0, 0 100%, 100% 100%);
}
.choose__triangle-1{
    width:305px;
    background-color: var(--first-color);
}
.choose__triangle-2{
    width:205px;
    background-color: var(--first-color-alt);
}
.choose__triangle-3{
    width:105px;
    background-color: var(--fist-color-dark);
}
.choose__img{
    width:260px;
    display: block;
    position: relative;
    z-index:1;
    margin:0 auto;
}
/* Pricing section */
.pricing__container{
    grid-template-columns: 285px;
    justify-content: center;
    row-gap:2rem;
}
.pricing__card,
.pricing__shape,
.pricing__list{
    display: grid; 
}
.pricing__card{
    row-gap:2rem;
    background-color:hsla(79,6%,64%, 0.07);
    padding:2rem 2.5rem;
}
.pricing__img{
    width:35px;
}
.pricing__shape{
    width:60px;
    height: 60px;
    background-color: var(--first-color-gray);
    border-radius: 50%;
    justify-content: center;
    align-items:center;
    place-items: center;
    margin:0 auto;
    margin-bottom: 1rem;
}
.pricing__title{
    font-size: var(--h3-font-size);
    color:var(--text-color);
    margin-bottom:1rem;
}
.pricing__number{
    font-size:var(--h1-font-size);
}
.pricing__list{
    row-gap:1rem;
}
.pricing__item{
    display: flex;
    column-gap:0.5rem;
    align-items:center;
    font-size:var(--small-font-size);
}
.pricing__item i{
    font-size:1.25rem;
    color:var(--first-color);
}
.pricing__item-opacity{
    opacity:0.3;
}
.pricing__button{
    background-color: var(--title-color);
}
.pricing__button:hover{
    background-color: var(--title-color);
}
/* whish article is selected  */
.pricing__card-active{
    background-color: var(--first-color);
    border:2px solid var(--first-color-light);
}
.pricing__card-active .pricing__shape{
    background-color: var(--first-color-light);
}
.pricing__card-active .pricing__item i{
    color:var(--title-color);
}
.pricing__card-active .pricing__title,
.pricing__card-active .pricing__number,
.priccing__card-active .pricing__item{
    color:var(--title-color-black)
}
/* calculate time */
.calculate{
    padding-bottom:0;
}
.calculate__container{
    row-gap:4rem;
}
.calculate__content .section__titles{
    margin-bottom:2rem;
    text-align:center;
}
.calculate__description{
    text-align:center;
    margin-bottom:2.5rem;
}
.calculate__form{
    display: grid;
    row-gap:1rem;
}
.calculate__box{
    position:relative;
    border:2px solid var(--first-color);
} 
.calculate__input{
    width: 100%;
    background: transparent;
    padding:20px 56px 20px 24px;
    outline:none;
    border:none;
    color:var(--text-color);
}
/* and for safari */
.calculate__input::-webkit-outer-spin-button,
.calculate__input::-webkit-inner-spin-button{
    -webkit-appearance: none;
    margin:0;
}
.calculate__input[type=number]{
    -moz-appearance: textfield;
    right:1.5rem;
    top:1.25rem;
    color:var(--title-color);
}
.calculate__form .button{
    margin-top:1.rem;
}
.calculate__img{
    width:200px;
    justify-self: center;
}
.calculate__message{
    position:absolute;
    transform:translateY(1rem);
}
/* footer section */
.footer__container{
  row-gap:4rem;
  padding-top:1rem;  
}
.footer__logo,
.footer__description{
    color:var(--title-color);
}
.footer__logo,
.footer__form,
.footer__social{
    display: flex;
}
.footer__logo{
    align-items: center;
    column-gap: 0.5rem;
    font-weight: var(--font-bold);
    margin-bottom: 1.5rem;
}
.footer__logo img{
    width:1.5rem;
}
.footer__description{
    margin-bottom:2rem;
}
.footer__form{
    flex-direction:column;
    gap:1.25rem;
}
.footer__input{
    padding:20px 56px 20px 24px;
    border:2px solid var(--first-color-light);
    background: transparent;
    color:var(--text-color);
    outline: none; 
}
.footer__content,
.footer__links,
.footer__group{
    display: grid;
}
.footer__content{
    grid-template-columns: repeat(2, max-content);
    gap:2.5rem 3.5rem;
}
.footer__title{
    font-size:var(--h3-font-size);
    margin-bottom:1.5rem;
}
.footer__links{
    row-gap:0.75rem;
}
.footer__link{
    color:var(--text-color);
    transition: color 0.3s;
}
.footer__link:hover{
   color:var(--fist-color-dark); 
}
.footer__group{
    margin-top:5rem;
    justify-content: center;
    row-gap:2rem;
}
.footer__social{
    column-gap: 1.25rem;
}
.footer__social-link{
    display: inline-flex;
    padding:0.35rem;
    background-color: var(--first-color);
    border-radius: 50%;
    font-size: 1.25rem;
    color:var(--title-color-black);
    transition:background 0.4s;
}
.footer__social-link:hover{
    background-color: var(--fist-color-dark);
}
.footer__copy{
    font-size:var(--small-font-size);
    color:var(--text-color-light);
}
.footer__message{
    position: absolute;
    transform:translateY(1rem);
}
::-webkit-scrollbar{
    width:0.6rem;
    border-radius: 0.5rem;
    background-color: hsl(79,4%,15%);
}
::-webkit-scrollbar-thumb{
    background-color: hsl(79,4%,25%);
    border-radius: 0.5rem;
}
::-webkit-scrollbar-thumb:hover{
    background-color: hsl(79,4%,35%);
}
/* scroll up */
.scrollup{
    position: fixed;
    right:1rem;
    /* in next sections bottom will be 3 rem ( to display up button)*/
    bottom:-30%;
    background-color: var(--first-color);
    display: inline-flex;
    padding:0.35rem;
    color:var(--title-color-black);
    font-size: 1.25rem;
    z-index: var(--z-tooltio);
    transition: 0.3s;
}
.scrollup:hover{
    transform:translateY(-0.25rem);
}
.show-scroll{
    bottom:3rem
}
/* Breakpoint section */

@media screen and (max-width: 360px) {
    .container{
        margin-left:1rem;
        margin-right:1rem;
    }
    .section__titles{
       flex-direction: column;
       row-gap:0.25rem; 
    }
    .home__triangle,
    .choose__triangle{
        height: 255px;
    }
    .home__triangle-3,
    .choose__triangle-1{
        width:260px;
    }
    .choose__img{
        width:195px;
    }
    .pricing__container{
        grid-template-columns: 250px;
    }
    .pricing__card{
        padding:1.5rem;
    }
    .footer__content{
        grid-template-columns: 1fr;
    }
}

@media screen and (min-width: 768px) {
    .nav__menu{
        width:50%;
    }
    .home__container,
    .choose__container{
        grid-template-columns: repeat(2, 1fr);
        align-items: center;
    }
    /* align text :left */
    .home__data,
    .choose__content .section__data,
    .choose__description,
    .calculate__description{
        text-align: initial;
    }
    .logos__container{
        grid-template-columns: repeat(4,1fr);
    }
    .program__container{
        grid-template-columns: repeat(2,225px);
        gap:2.5rem;
    }
    /* revers image and text in choosing section */
    .choose__content{
        order:1;
    }
    .choose__data{
        justify-content: flex-start;
    }
    .choose__content .section__titles,
    .calculate__content .section__titles{
        justify-content: initial;
    }
    .pricing__container{
        grid-template-columns: repeat(2,285px);
        gap:2.5rem;
    }
    .calculate__container{
        grid-template-columns: 1fr 0.8fr;
        align-items: center;
    }
    .calculate__form{
        grid-template-columns: repeat(2,1fr);
        column-gap: 1.5rem;
    }
    /* how many grids should I add to the button( from / up to */
    .calculate__form .button{
        grid-column:1 /3 ;
    }
    .footer__container{
        grid-template-columns: repeat(2,max-content);
        justify-content: space-between;
    }
    .footer__content{
        grid-template-columns: repeat(3,max-content);
    }
}
@media screen and (min-width: 1023px) {
   .nav{
     height: calc(var(--header-height) + 2rem);
   }
   .nav__menu{
     width:initial;
   }
   .nav__toggle,
   .nav__close{
     display: none;
   }
   .nav__list{
     flex-direction: row;
     padding:0;
     align-items: center;
     column-gap: 4rem;
   }
   .section{
     padding:7rem 0rem 0;
   }
   .section__subtitle{
    font-size: 2rem;
   }
   .home__container{
    grid-template-columns: repeat(2, max-content);
    align-items: initial;
   }
   .home__title{
    margin:0.75rem 0 1.25rem;
   }
   /* w445px & mb3rem */
   .home__description{
    width: 445px;
    margin-bottom: 3rem;
   }
   .home__img{
    width: 550px;
    /* guide it to left */
    transform: translateX(18rem);
   }
   .home__triangle{
     height: 700px;
   }
   .home__triangle-1{
     width:145px;
   }
   .home__triangle-2{
      width:345px;
    }
  .home__triangle-3{
    width:548px;
   }
   .logos{
     padding:3.5rem 0 1rem;
   }
   .logos__img{
     width:190px
   }
   .choose__overflow{
      overflow: hidden;
   }
   .choose__container{
    order:1;
   }
   .choose__img{
     width:350px
   }
   .choose__triangle{
    height: 700px;
    z-index:-1;
   }
   .choose__triangle-1{
    width:545px
   }
   .choose__triangle-2{
    width:345px
   }
   .choose__triangle-3{
    width:145px
   }
   .footer__form{
    flex-direction: row;
   }
   .footer__content{
    column-gap: 5rem;
   }
   .footer__group{
    grid-template-columns: repeat(2,max-content);
    justify-content: space-between;
    margin-top:7rem;
   }
   .footer__social{
    order:1;
   }
}
@media screen and (min-width: 1150px) {
  .container{
    margin-left: auto;
    margin-right: auto;
  }  
  .home__data{
    padding-top: 3rem;
  }
 .home__img{
    height: 550px;
    width: auto;
 }
 .home__triangle{
    height: 995px;
 }
 .home__triangle-1{
    width: 205px;
 }
 .home__triangle-2{
    width: 505px;
 }
 .home__triangle-3{
    width: 705px;
 }
 .program__container{
    grid-template-columns: repeat(4,245px);
    padding:3rem 0;
 }
 .program__card{
    padding:2rem;
 }
 .program__description{
    font-size:var(--normal-font-size);
 }
 .choose__container{
    column-gap: 8rem;
 }
 .choose__img{
    width:450px;
    margin:0 0 0 auto;
 }
 .choose__triangle{
    height: 800px;
 }
 .choose__images{
    position: relative;
 }
 .choose__data{
    grid-template-columns: repeat(2, max-content);
    gap:2.5rem 8rem;
 }
 .choose__description{
    width:418px;
    margin-bottom:3.5rem;
 }
 .pricing__container{
    padding-top:3rem;
    grid-template-columns: repeat(3,320px);
 }
 .pricing__card{
    padding:2rem 3.5rem;
    row-gap:2.5rem;
 }
 .calcultate__content{
    margin-left:4rem;
 }
 .calculate__img{
    width:300px;
 }
 .scrollup{
    right:3rem;
 }
 .footer{
    padding: 7rem 4rem 0
 }

}
/* bist 2:34 */